Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.dialogs
Class DefaultSelectionDialogFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.dialogs.AbstractSelectionDialogFactory
          edu.stanford.smi.protegex.owl.ui.dialogs.DefaultSelectionDialogFactory

All Implemented Interfaces:
  SelectionDialogFactory

    public class DefaultSelectionDialogFactory

extends AbstractSelectionDialogFactory

The default implementation based on the core Protege dialogs.

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.dialogs.AbstractSelectionDialogFactory
`SELECT_CLASS_TITLE, SELECT_PROPERTY_TITLE, SELECT_RESOURCE_TITLE, SELECT_RESOURCES_TITLE`

Constructor Summary
`DefaultSelectionDialogFactory()`

Method Summary
`static Collection` | `ensureResourcesHaveVisibility(Collection allowedResources, boolean visible)` Makes sure that the resources in the specified collection have the specified visibility.
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, Collection rootClasses, String title)`
`Set` | `selectClasses(Component parent, OWLModel owlModel, Collection rootClasses, String title)`
`RDFSDatatype` | `selectDatatype(Component parent, OWLModel owlModel)`
`RDFProperty` | `selectProperty(Component parent, OWLModel owlModel, Collection allowedProperties, String title)`
`RDFResource` | `selectResourceByType(Component parent, OWLModel owlModel, Collection allowedClasses, String title)`
`RDFResource` | `selectResourceFromCollection(Component parent, OWLModel owlModel, Collection resources, String title)`
`Set` | `selectResourcesByType(Component parent, OWLModel owlModel, Collection allowedClasses, String title)`
`Set` | `selectResourcesFromCollection(Component parent, OWLModel owlModel, Collection resources, String title)`
`Set` | `selectResourcesWithBrowserTextByType(Component parent, OWLModel owlModel, Collection allowedClasses, String title)`
`RDFResource` | `selectResourceWithBrowserTextByType(Component parent, OWLModel owlModel, Collection allowedClasses, String title)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.dialogs.AbstractSelectionDialogFactory
`selectClass, selectClass, selectClass, selectClass, selectClasses, selectClasses, selectProperty, selectResourceByType, selectResourcesByType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSelectionDialogFactory

    public DefaultSelectionDialogFactory()

Method Detail

### selectClass

    public RDFSNamedClass selectClass(Component parent,
                                      OWLModel owlModel,
                                      Collection rootClasses,
                                      String title)

  Specified by:
    `selectClass` in interface `SelectionDialogFactory`
  Overrides:
    `selectClass` in class `AbstractSelectionDialogFactory`

### selectDatatype

    public RDFSDatatype selectDatatype(Component parent,
                                       OWLModel owlModel)

### selectClasses

    public Set selectClasses(Component parent,
                             OWLModel owlModel,
                             Collection rootClasses,
                             String title)

### selectProperty

    public RDFProperty selectProperty(Component parent,
                                      OWLModel owlModel,
                                      Collection allowedProperties,
                                      String title)

### selectResourceFromCollection

    public RDFResource selectResourceFromCollection(Component parent,
                                                    OWLModel owlModel,
                                                    Collection resources,
                                                    String title)

### selectResourceByType

    public RDFResource selectResourceByType(Component parent,
                                            OWLModel owlModel,
                                            Collection allowedClasses,
                                            String title)

### selectResourceWithBrowserTextByType

    public RDFResource selectResourceWithBrowserTextByType(Component parent,
                                                           OWLModel owlModel,
                                                           Collection allowedClasses,
                                                           String title)

### selectResourcesByType

    public Set selectResourcesByType(Component parent,
                                     OWLModel owlModel,
                                     Collection allowedClasses,
                                     String title)

### selectResourcesWithBrowserTextByType

    public Set selectResourcesWithBrowserTextByType(Component parent,
                                                    OWLModel owlModel,
                                                    Collection allowedClasses,
                                                    String title)

### selectResourcesFromCollection

    public Set selectResourcesFromCollection(Component parent,
                                             OWLModel owlModel,
                                             Collection resources,
                                             String title)

### ensureResourcesHaveVisibility

    public static Collection ensureResourcesHaveVisibility(Collection allowedResources,
                                                           boolean visible)

  Makes sure that the resources in the specified collection have the specified visibility.

  Parameters:
    `allowedResources` - The resources that should have the specified visibility.
    `visible` - Specified whether or not the resources should be visible.
  Returns:
    `true` if the resources should be visible, or `false` if the resources should not be visible.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.